CREATE DATABASE `board-example`
	CHARACTER SET utf8mb4
	COLLATE utf8mb4_0900_ai_ci;

USE `board-example`;

CREATE TABLE `board-example`.board (
  id INT UNSIGNED NOT NULL AUTO_INCREMENT,
  groupId INT UNSIGNED DEFAULT NULL,
  orderInGroup INT UNSIGNED NOT NULL DEFAULT 0,
  depth TINYINT UNSIGNED NOT NULL DEFAULT 0,
  title VARCHAR(255) DEFAULT NULL,
  content VARCHAR(16000) DEFAULT NULL,
  writer VARCHAR(20) NOT NULL,
  regDateTime DATETIME NOT NULL DEFAULT (now()),
  lastModDateTime DATETIME DEFAULT NULL,
  isDeleted TINYINT(1) DEFAULT NULL,
  isBlocked TINYINT(1) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;
